<?php

namespace Drupal\rest_entity_display;

use Drupal\Core\Cache\Cache;
use Drupal\Core\Cache\CacheableMetadata;

/**
 * Cache manager service for EntityViewDisplay.
 */
class EntityViewDisplayCacheManager extends CacheableMetadata {

  /**
   * Reset cache data.
   */
  public function reset() {
    $this->cacheContexts = [];
    $this->cacheTags = [];
    $this->cacheMaxAge = Cache::PERMANENT;
  }

}
