<?php

namespace Drupal\rest_entity_display;

/**
 * The Normalizer depth trait class.
 */
trait NormalizedRenderingContextTrait {

  /**
   * The rendering context.
   *
   * @var RenderingContext
   */
  protected RenderingContext $renderingContext;

  /**
   * {@inheritdoc}
   */
  public function getRenderingContext():RenderingContext|NULL {
    return $this->renderingContext ?? NULL;
  }

  /**
   * {@inheritdoc}
   */
  public function setRenderingContext(RenderingContext $renderingContext) {
    $this->renderingContext = $renderingContext;
  }

}
